// Package v2 provides migration for mongo repository
package v2

import (
	"context"

	"go.mongodb.org/mongo-driver/bson"
	"go.mongodb.org/mongo-driver/mongo"
)

// Up applies migration
func Up(ctx context.Context, db *mongo.Database, migrationID string) (int, error) {
	accs := db.Collection("accounts")

	_, err := accs.UpdateMany(ctx, bson.M{"admin": bson.M{"$ne": true}}, bson.M{"$set": bson.M{"admin": false}})

	return -1, err
}
