module gitlab.mashroom.com/mashroom/backend/account

go 1.16

replace gitlab.mashroom.com/mashroom/backend/account/api => ./api

require (
	github.com/camunda-cloud/zeebe/clients/go v1.3.13
	github.com/cenkalti/backoff v2.2.1+incompatible
	github.com/gocarina/gocsv v0.0.0-20210408192840-02d7211d929d
	github.com/golang/mock v1.6.0
	github.com/golang/protobuf v1.5.2
	github.com/google/uuid v1.3.0
	github.com/stretchr/testify v1.7.0
	github.com/ttacon/builder v0.0.0-20170518171403-c099f663e1c2 // indirect
	github.com/ttacon/libphonenumber v1.2.1
	gitlab.mashroom.com/mashroom/backend/account/api v0.0.0-20230117162538-915ef1268bd1
	gitlab.mashroom.com/mashroom/backend/closecom/api v0.0.0-20230113044656-c11c94f084ec
	gitlab.mashroom.com/mashroom/backend/common/api v0.0.0-20230207145654-b2e60e8ee74e
	gitlab.mashroom.com/mashroom/backend/common/generic v0.0.0-20230207145654-b2e60e8ee74e
	gitlab.mashroom.com/mashroom/backend/document/api v0.0.0-20230119042519-fe21036277fb
	gitlab.mashroom.com/mashroom/backend/invitation/api v0.0.0-20230117151434-0d3f5be404bd
	gitlab.mashroom.com/mashroom/backend/listing/api v0.0.0-20230127075820-c08252b5c8a1
	gitlab.mashroom.com/mashroom/backend/messaging/api v0.0.0-20230125155823-927da071b1ac
	gitlab.mashroom.com/mashroom/backend/notification/api v0.0.0-20230220165608-578d3cbb65f6
	gitlab.mashroom.com/mashroom/backend/offer/api v0.0.0-20230203054409-b8392ec250e2
	gitlab.mashroom.com/mashroom/backend/offer/api/rto v0.0.0-20230203054409-b8392ec250e2
	gitlab.mashroom.com/mashroom/backend/property/api v0.0.0-20230117151405-d838d1b157b3 // indirect
	gitlab.mashroom.com/mashroom/backend/viewing/api v0.0.0-20230117151349-a21490c9b466
	gitlab.mashroom.com/mashroom/backend/zeebe/api v0.0.0-20230110060307-87f935567e56
	go.mongodb.org/mongo-driver v1.10.2
	golang.org/x/tools v0.1.5
	google.golang.org/grpc v1.49.0
	google.golang.org/protobuf v1.28.1
)
