// Package d1v0000 provides data migration
package d1v0000

import (
	"gitlab.mashroom.com/mashroom/backend/account/internal/connections"
	"gitlab.mashroom.com/mashroom/backend/common/generic/migrations"
	migrationsMongo "gitlab.mashroom.com/mashroom/backend/common/generic/migrations/mongo"
)

// Migration describes available migrations
func Migration() connections.MongoDataMigrationFunc {
	return func(conn *connections.Connections) *migrations.DataMigration {
		return &migrations.DataMigration{
			ID: "d8v0000",
			Set: []migrations.Migration{
				&migrationsMongo.Migration{
					Up:      connections.MongoDataMigrationStart(conn, startClosecom),
					Version: "closecom",
				},
			},
		}
	}
}
